!Control file for site_amp_batch
! Revision of program involving a change in the control file on this date:
   07/09/18
!Name of summary file:
   site_amp_batch.sum
!Are the velocities from a suspension log survey?
!If yes, assume that the velocity value is at the midpoint of the layer
 N
!Velocity for first layer (0 = use the first velocity of the input)
! Use this for sensitivity studies of vavg for PS log models that do not
! extend to the surface.   
   0.0
!Depth to bottom (d2b) or layer thickness (thk) (note: a value of 0.0 for
!the first depth from the model file will signal that the model is a
!piecewise continuous model)?
   thk
!Lines to skip to reach data (nskip):
! nskip<0: use skipcmnt to skip a block of header lines starting with the 
!          exclamation character ("!"), followed by skipping abs(nskip)-1 
!          header lines.  This option is included so that the program can compute
!          the amplifications for a group of model files that have a variable
!          number of headers startng with "!" before a line with column headings.
! nskip=0: skip no lines
! nskip>0: skip the number of lines specified by nskip
!
! -1 ! the data are preceded by one or more lines starting with "!"
! -2 ! the data are preceded by one or more lines starting with "!", followed 
!      by a single line with column headers.
   1 ! skip one line to reach the lines of model data
!
!Use density in model file?
 N
!dens_default (if layer density = 0.0, either because the densities from the 
!  input file are to be used, but these are 0.0, or because the density is not
!  to be obtained from the input file, then use this as the layer density unless it
!  is 0.0, in which case obtain the density from my density--velocity
!  subroutine, using the equations in Boore (BSSA, 2016, pp. 316--320)):
  0.0
!Use Q from model file (note that Q < 1.0 is taken is 1/Q; if Q is not constant in a layer, it is assumed that 1/Q has a linear gradient
!  between the values of 1/Q on either side of the layer)?
 N
! kappa for computation; this kappa is in addition to the total kappa accumulated from qinverse in each layer,
! if Use Q from model file = Y (enter 0.0 for no kappa computation other than from qinverse):
 0.0
! **** NOTE **** as of 2021-08-29, the parameter below is no longer used.  But to avoid modifying the control file
! I am retaining the entry here, as a placeholder.
 1.0
!Ncolumns to read, column numbers for depth or thickness (allows for the first column
!being an index),velocity, density, and Q (note that if density and/or Q are not read
!from the file, the column numbers for these variables will be ignored.  But dummy
!values need to be included in the control file).
! WARNING: Be careful to maintain consistency between whether density and/or Q
! are read from input file and the entries below.  For example, suppose the input file
! contains thickness, vs, density, and Q.  Then the following table illustrates the
! proper input for Ncolumns, etc:
! If specified incorrectly, the program will probably work, but the velocity
! model will be incorrect.  ALWAYS CHECK THE VELOCITY MODEL IN THE OUTPUT FILE!
   2 1 2 2 2
!Enter units of velocity (kps, mps) (depth units are assumed to be consistent
!with the velocity units---km for kps and m for mps):
   kps
!v_ref, dens_ref for amp calculation (dens_ref = 0.0 means that it will be obtained from
! my relation between vel and dens; if dens_ref /= 0.0, then it will be used even if
! "Use density from model file" is N):
!  3.800  2.8
  3.500  2.72
!Angle of incidence at source level (in degrees):
 00.0
!Enter freqlow, freqhigh, nfreq for creation of CVL model and for computing amplifications.
!  if nfreq  = 0: the CVL model will be based on the depths to the interfaces of the input model 
!                      (even if the input model is made up of linear segments; if it is a CVL model, the model used for the amp calcs will be
!                      the same as the input model).
!     nfreq  < 0: the greatest depth for the CVL model will correspond to the bottom of the input model, with 
!                      abs(nfreq) layers whose boundaries are determined by a range of frequencies from
!                      the QWL frequency corresponding to the bottom of the input model (this replaces freqlow) to 
!                      fhigh.
!     nfreq  > 0: the CVL model will have nfreq layers whose boundaries are determined by the range of QWL depths corresponding to flow 
!                      to fhigh. Note that it is possible for the deepest depth to be shallower or deeper than the bottom of the input model,
!                      depending on the comparison of flow to the QWL frequency for the bottom of the input model.  If deeper, the model is
!                      essentially extrapolated as a halfspace with velocity and density corresponding to the bottom of the input model.
 0.01 50 400
!Log-spaced frequencies (I suggest "Y" based on some sample runs, for which there were many oscillations in the amplifications at lower frequencies, due to
! coarse layering at deeper depths)?
 Y
!Character string to append to end of each input file to create
!the name of the output file (be sure to include the period if wanted):
 .bj97_r_vs30_618_dens2.72.aoi_00.asc
! .bj97_r_vs30_1100_30lyrs_pl1_dens2.72_ai_45.asc
!List of input files
!Make sure that there are no blank entries!
!The format of the input are consecutive columns containing the 
!depth/thickess and velocity, after header lines starting with "!"
bj97_generic_rock_d_v_0_dens.mdl
stop

bj97_hr_vs30_1100_30_lyrs_pl1_2_3.mdl
stop

bj97_generic_rock_d_v_0_dens.mdl
stop

thick.mdl
thick2.mdl
Stop
